\chapter{Exploring Customization} \label{chapt:parallel}
%
%
\vskip 1cm
%
%
Starting from the introduced baseline many-core, this Chapter investigates the adoption of different architectural features, i.e. \textbf{SIMD} paradigm, \textbf{multithreading}, and \textbf{non-coherent} on-chip memories for Deep Learning oriented FPGA-based accelerator designs. The scope of the Chapter is to explore different architectural solutions, and to outline their impacts. The main goal here is to exploit the baseline GPU-like core features, described in Chapter \ref{chapt:core}, proving that architectural customization plays a key role, as it enables unprecedented levels of resource-efficiency compared to GPUs. 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%
%%%  PRIME as proof of concepts
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\input{Chapters/SPM/PRIME/PRIME}

\chapter{Customizable Shared Scratchpad Memory} \label{chapt:spm}
%
%
\vskip 1cm
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%
%%%  3GPCIC2016 con Ciro
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\input{Chapters/SPM/3GPCIC-2016/reconf_spm}